
TYPO3.Flow - Feature # 51405

Task # 55953 (New): Repair and streamline ValueObject support

Status: Rejected Priority: Could have
Author: Adrian Föder Category: Persistence
Created: 2013-08-27 Assigned To: Adrian Föder
Updated: 2015-02-12 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Fix OneTo* associations from ValueObjects
Description

ValueObjects are reusable (or reused) from a relational database point of view, i.e. they have a unique constraint. Having a
ValueObject referencing other entities with a OneTo* association will fail if another instance of the valueobject intends to reference the
same object: there will be a unique constraint error because the object occurrs twice then.

Maybe the Driver should make a ManyTo* out of these.

History
#1 - 2013-08-27 16:59 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23367

#2 - 2014-02-13 11:23 - Adrian Föder
- Parent task set to #55953

#3 - 2014-02-28 10:40 - Adrian Föder
- Subject changed from Disallow OneToOne associations to ValueObjects to Fix OneTo* associations from ValueObjects

#4 - 2015-02-12 13:48 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/23367

#5 - 2015-02-12 14:26 - Adrian Föder
- Status changed from Under Review to Rejected

Abandoned, developes should just annotate it properly.
